org.apache.ignite.cache

## Class CacheServerNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.cache.CacheException
        - - org.apache.ignite.cache.CacheServerNotFoundException

All Implemented Interfaces:
  Serializable

    public class CacheServerNotFoundException
    extends javax.cache.CacheException

Exception thrown when all data nodes left the grid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheServerNotFoundException(String msg)`
`CacheServerNotFoundException(String msg, Throwable cause)`
`CacheServerNotFoundException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheServerNotFoundException

    public CacheServerNotFoundException(String msg)

Parameters:
  `msg` - Error message.

#### CacheServerNotFoundException

    public CacheServerNotFoundException(String msg,
                                Throwable cause)

Parameters:
  `msg` - Error message.
  `cause` - Error cause.

#### CacheServerNotFoundException

    public CacheServerNotFoundException(Throwable cause)

Parameters:
  `cause` - Error cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017